import { CharacterRigR6 } from "@rbxts/character-promise"
import Log, { LogLevel, Logger } from "@rbxts/log"
import { Players } from "@rbxts/services"
import { start } from "ReplicatedStorage/ecs"
import { clientState } from "ReplicatedStorage/ecs/state"
import { Host } from "ReplicatedStorage/hosts"
import { setEnvironment } from "ReplicatedStorage/idAttribute"

const HOST = Host.Client

const clientLogger = Logger.configure()
        .WriteTo(Log.RobloxOutput())
        .Create()

const ClientState = new clientState(
    Players.LocalPlayer,
    (Players.LocalPlayer.Character || Players.LocalPlayer.CharacterAdded.Wait()[0]) as CharacterRigR6,
    false,
    false,

    clientLogger
)

setEnvironment(HOST)
start(HOST, ClientState)